Debian Bug report logs - #687534
bdii: configuration files does not preserve local changes

version graph

Package: bdii; Maintainer for bdii is Mattias Ellert <mattias.ellert@fysast.uu.se>; Source for bdii is src:bdii.

Reported by: Niels Thykier <niels@thykier.net>

Date: Sun, 29 Jul 2012 05:03:01 UTC

Severity: serious

Found in versions bdii/5.2.12-2, bdii/5.1.7-1

Fixed in versions bdii/5.2.13-1, bdii/5.2.5-2+wheezy2, bdii/5.2.5-2+wheezy3

Done: Mattias Ellert <mattias.ellert@fysast.uu.se>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Sun, 29 Jul 2012 05:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jul 2012 05:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: submit@bugs.debian.org
Subject: unblock: bdii/5.2.12-1
Date: Sun, 29 Jul 2012 06:47:03 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

unblock bdii/5.2.12-1

Hi!

The bdii package was removed from testing due to an RC bug, together
with the packages that depends on it. The 5.2.12-1 update fixes the RC
bug (bug #663444). I would like to request a freeze exception for this
update to allow the bdii package and the packages depending on it to be
part of the release.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Sun, 29 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Sun, 29 Jul 2012 12:46:07 +0200
On 2012-07-29 06:47, Mattias Ellert wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: freeze-exception
> 
> unblock bdii/5.2.12-1
> 
> Hi!
> 
> The bdii package was removed from testing due to an RC bug, together
> with the packages that depends on it. The 5.2.12-1 update fixes the RC
> bug (bug #663444). I would like to request a freeze exception for this
> update to allow the bdii package and the packages depending on it to be
> part of the release.
> 
> 	Mattias
> 

Why did you include a new upstream release in this?  It makes it harder
for us to review and reduces the chance for you to get the unblock?
Does this upstream release have important bug fixes, if so what are they?

$ diff -Naurp bdii-5.2.5 bdii-5.2.12 \
   | filterdiff  -x '**/.pc/**' -x '**/*.spec' \
   | diffstat
 Makefile                           |   19 +-
 bin/bdii-update                    |    7 -
 debian/bdii.lintian-overrides      |    4
 debian/bdii.postinst               |    6
 debian/bdii.preinst                |   16 ++
 debian/changelog                   |    8 +
 debian/control                     |    4
 debian/copyright                   |   36 +++--
 debian/patches/bdii-default.patch  |   18 +-
 debian/patches/bdii-run-full.patch |  248 [...]
 debian/patches/series              |    8 -
 debian/rules                       |   50 ++++---
 etc/DB_CONFIG                      |   29 ----
 etc/DB_CONFIG_top                  |   15 ++
 etc/bdii-slapd.conf                |   23 +--
 etc/bdii-top-slapd.conf            |   22 +--
 etc/init.d/bdii                    |   39 ++++-
 17 files changed, 308 insertions(+), 244 deletions(-)



--- bdii-5.2.5/debian/bdii.preinst
+++ bdii-5.2.12/debian/bdii.preinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "upgrade" ] ; then
+    if dpkg --compare-versions "$2" lt "5.2.12" ; then
+        # Old versions with slapd configs listed in conffiles
+       if [ -w /var/lib/dpkg/info/bdii.conffiles ] ; then
+           sed -e /bdii-slapd.conf/d -e /bdii-top-slapd.conf/d \
+               -i /var/lib/dpkg/info/bdii.conffiles
+       fi
+       rm -f /etc/bdii/bdii-slapd.conf /etc/bdii/bdii-top-slapd.conf
+    fi
+fi
+
+#DEBHELPER#


I think "dpkg-maintscript-helper rm_conffile" is what you want to be
policy compliant, but I could be wrong.


I haven't read the full diff, so there are possibly more issues lurking
in it.  In its current state, I am not inclined to grant an exception.

~Niels

PS: urgency=high is no effect when the package is not in testing (in
case you weren't aware of it)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Tue, 31 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 31 Jul 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Niels Thykier <niels@thykier.net>
Cc: 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Tue, 31 Jul 2012 10:49:54 +0200
[Message part 1 (text/plain, inline)]
sön 2012-07-29 klockan 12:46 +0200 skrev Niels Thykier:
> On 2012-07-29 06:47, Mattias Ellert wrote:
> > Package: release.debian.org
> > Severity: normal
> > User: release.debian.org@packages.debian.org
> > Usertags: freeze-exception
> > 
> > unblock bdii/5.2.12-1
> > 
> > Hi!
> > 
> > The bdii package was removed from testing due to an RC bug, together
> > with the packages that depends on it. The 5.2.12-1 update fixes the RC
> > bug (bug #663444). I would like to request a freeze exception for this
> > update to allow the bdii package and the packages depending on it to be
> > part of the release.
> > 
> > 	Mattias
> > 
> 
> Why did you include a new upstream release in this?  It makes it harder
> for us to review and reduces the chance for you to get the unblock?
> Does this upstream release have important bug fixes, if so what are they?

I had been preparing an update to a new upstream release for a long time
before finally making the upload. On several occasions I have completed
a potential update and then looked at the BTS and thought that I should
fix that RC bug before doing the upload. Since fixing the RC bug was not
trivial this always ment that I held off doing the upload. I finally did
fix the RC bug. The fixed package compared to the last package I
prepared and did not upload was really just fixing the RC bug.

The changes in the package between the previous upload and the new one
are very minor. It is true that if you list the files changed the list
is not short, but most of the changed files are in the debian directory.
These changes are there to do the fix of the RC bug, fix some lintian
warnings and update the copyright file to the new recommended format.
The changes to the patches are just dropping the parts of the patches
that were accepted upstream and rebasing the remaining parts.

For the changes to the upstream itself, i.e. the files outside the
debian directory. These are mainly changes to the default configuration
to reduce the memory consumption and to add support for IPv6.

> --- bdii-5.2.5/debian/bdii.preinst
> +++ bdii-5.2.12/debian/bdii.preinst
> @@ -0,0 +1,16 @@
> +#!/bin/sh
> +
> +set -e
> +
> +if [ "$1" = "upgrade" ] ; then
> +    if dpkg --compare-versions "$2" lt "5.2.12" ; then
> +        # Old versions with slapd configs listed in conffiles
> +       if [ -w /var/lib/dpkg/info/bdii.conffiles ] ; then
> +           sed -e /bdii-slapd.conf/d -e /bdii-top-slapd.conf/d \
> +               -i /var/lib/dpkg/info/bdii.conffiles
> +       fi
> +       rm -f /etc/bdii/bdii-slapd.conf /etc/bdii/bdii-top-slapd.conf
> +    fi
> +fi
> +
> +#DEBHELPER#
> 
> 
> I think "dpkg-maintscript-helper rm_conffile" is what you want to be
> policy compliant, but I could be wrong.

Yes this is probably a better idea. I was very happy when I managed to
write a maintainer script that solved the RC bug. But looking at the
code in the dpkg-maintscript-helper script I realize that there are
corner cases that are not properly handled by by script.

> I haven't read the full diff, so there are possibly more issues lurking
> in it.  In its current state, I am not inclined to grant an exception.
> 
> ~Niels
> 
> PS: urgency=high is no effect when the package is not in testing (in
> case you weren't aware of it)

I was not aware. However, the package was in testing until 2 days before
I did the upload. The fact the package was removed made the update very
urgent - and then the urgency is ignored because it was removed....
Well... I don't make the rules.

I can make another update using the dpkg-maintscript-helper script
instead of my own not-so-great fix. If you truly do not want to take
advantage of the fixes for memory usage and IPv6 support I could also
upload a version where I backport the fix for the RC bug to the 5.2.5
version. But I personally think using the new version would be better.
Let me know what you think is petter.

	Mattias

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Mon, 13 Aug 2012 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Aug 2012 14:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 683142@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Updated version
Date: Mon, 13 Aug 2012 16:34:13 +0200
[Message part 1 (text/plain, inline)]
retitle 683142 unblock: bdii/5.2.12-2
thanks

An updated package using the dpkg-maintscript-helper script as requested
is now available in unstable.

	Mattias

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: bdii/5.2.12-2' from 'unblock: bdii/5.2.12-1' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Mon, 13 Aug 2012 14:45:14 GMT) Full text and rfc822 format available.

Added indication that bug 683142 blocks 685663 Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to submit@bugs.debian.org. (Thu, 23 Aug 2012 06:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Thu, 23 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 23 Aug 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #29 received at 683142@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 685663@bugs.debian.org
Cc: 683142@bugs.debian.org
Subject: Re: Bug#685663: unblock nordugrid-arc/2.0.0-3
Date: Thu, 23 Aug 2012 17:54:27 +0200
[Message part 1 (text/plain, inline)]
Hi Mattias,

Mattias Ellert <mattias.ellert@fysast.uu.se> (23/08/2012):
> The nordugrid-arc 2.0.0-3 package had already migrated to testing before
> the freeze, but was kicked out because a dependency of one of its binary
> packages was removed due to an RC classified bug. That package (bdii)
> has since been fixed and an unblock request for the fix has been filed.

I'm not sure we're going to consider unblocking bdii, at least in its
current form. It looks like a package which pretty much fails to comply
with the freeze policy, so unless you come up with minimal changes to
only fix actual bugs…

(Hint: new upstream release, changing configuration, adding features,
fixing lintian warnings, rewriting copyright, etc. are *not* things to
do in unstable when you have RC bug fixes you want to get into testing.)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Mon, 27 Aug 2012 09:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Aug 2012 09:57:07 GMT) Full text and rfc822 format available.

Message #34 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: Cyril Brulebois <kibi@debian.org>
Cc: 683142@bugs.debian.org
Subject: Proposed backport
Date: Mon, 27 Aug 2012 11:55:35 +0200
[Message part 1 (text/plain, inline)]
tor 2012-08-23 klockan 17:54 +0200 skrev Cyril Brulebois:
> Hi Mattias,
> 
> I'm not sure we're going to consider unblocking bdii, at least in its
> current form. It looks like a package which pretty much fails to comply
> with the freeze policy, so unless you come up with minimal changes to
> only fix actual bugs…
> 
> (Hint: new upstream release, changing configuration, adding features,
> fixing lintian warnings, rewriting copyright, etc. are *not* things to
> do in unstable when you have RC bug fixes you want to get into testing.)
> 
> Mraw,
> KiBi.

Thank you for your feedback.

I here attach a debdiff for a proposed backport of the fix to the RC bug
only. Is this an acceptable change?


[bdii_5.2.5-2+wheezy1.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Fri, 31 Aug 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 31 Aug 2012 12:03:03 GMT) Full text and rfc822 format available.

Message #39 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>, 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Fri, 31 Aug 2012 14:01:34 +0200
On 2012-07-31 10:49, Mattias Ellert wrote:
> sön 2012-07-29 klockan 12:46 +0200 skrev Niels Thykier:
>> On 2012-07-29 06:47, Mattias Ellert wrote:
>>> Package: release.debian.org
>>> Severity: normal
>>> User: release.debian.org@packages.debian.org
>>> Usertags: freeze-exception
>>>
>>> unblock bdii/5.2.12-1
>>>
>>> Hi!
>>>
>>> The bdii package was removed from testing due to an RC bug, together
>>> with the packages that depends on it. The 5.2.12-1 update fixes the RC
>>> bug (bug #663444). I would like to request a freeze exception for this
>>> update to allow the bdii package and the packages depending on it to be
>>> part of the release.
>>>
>>> 	Mattias
>>>
>>
>> Why did you include a new upstream release in this?  It makes it harder
>> for us to review and reduces the chance for you to get the unblock?
>> Does this upstream release have important bug fixes, if so what are they?
> 

Hi Mattias,

> I had been preparing an update to a new upstream release for a long time
> before finally making the upload. On several occasions I have completed
> a potential update and then looked at the BTS and thought that I should
> fix that RC bug before doing the upload. Since fixing the RC bug was not
> trivial this always ment that I held off doing the upload. I finally did
> fix the RC bug. The fixed package compared to the last package I
> prepared and did not upload was really just fixing the RC bug.
> 

My problem is; this RC bug was reported in March.  It receives no
(public) reply from you until you close it with the 5.2.12-1.
  While you do have a point that conffile handling is not trivial, the
reporter gave you a link to http://wiki.debian.org/DpkgConffileHandling
to assist you.  That page has both the "old school" handling and plenty
of references to the dpkg-maintscript-helper tool.  Failing that, an
email to d-mentors could easily have given you the answer within a day.

Sorry, but I do not buy the 4 month delay for fixing this.

> The changes in the package between the previous upload and the new one
> are very minor. It is true that if you list the files changed the list
> is not short, but most of the changed files are in the debian directory.
> These changes are there to do the fix of the RC bug, fix some lintian
> warnings and update the copyright file to the new recommended format.
> The changes to the patches are just dropping the parts of the patches
> that were accepted upstream and rebasing the remaining parts.
> 

These changes I get and I can (mostly) ignore.  My primary concern is
actually the upstream changes.  Admittedly I am not too pleased with the
dh_pysupport -> dh_python...

> For the changes to the upstream itself, i.e. the files outside the
> debian directory. These are mainly changes to the default configuration
> to reduce the memory consumption and to add support for IPv6.
> 

Those changes sound nice to have, especially lack of IPv6 is in fact
starting to be a bit sad.  The problem here is timing; during the freeze
we have to manually review this stuff.

>> [...]
> 
>> I haven't read the full diff, so there are possibly more issues lurking
>> in it.  In its current state, I am not inclined to grant an exception.
>>
>> ~Niels
>>
>> PS: urgency=high is no effect when the package is not in testing (in
>> case you weren't aware of it)
> 
> I was not aware. However, the package was in testing until 2 days before
> I did the upload. The fact the package was removed made the update very
> urgent - and then the urgency is ignored because it was removed....
> Well... I don't make the rules.
> 

Urgency describes how important it is for people to upgrade their
package.  If bdii had still been in testing, the urgency would have made
(partly?) sense...  Anyway, it is hardly a problem, so just a FYI.  :)

> I can make another update using the dpkg-maintscript-helper script
> instead of my own not-so-great fix. If you truly do not want to take
> advantage of the fixes for memory usage and IPv6 support I could also
> upload a version where I backport the fix for the RC bug to the 5.2.5
> version. But I personally think using the new version would be better.
> Let me know what you think is petter.
> 
> 	Mattias
> 

Please do not get me wrong; I like improvements as much as every one
else, but I don't like having to manually review them.

I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
take that as a starting point.

~Niels




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Wed, 05 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 05 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Message #44 received at 683142@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 683142@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Wed, 05 Sep 2012 13:24:01 +0200
[Message part 1 (text/plain, inline)]
fre 2012-08-31 klockan 14:01 +0200 skrev Niels Thykier:
> 
> I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
> take that as a starting point.
> 
> ~Niels

bdii_5.2.5-2+wheezy1 was uploaded to testing-proposed-updates.

	Mattias

[smime.p7s (application/x-pkcs7-signature, attachment)]

Changed Bug title to 'unblock: bdii/5.2.5-2+wheezy1' from 'unblock: bdii/5.2.12-2' Request was from Mattias Ellert <mattias.ellert@fysast.uu.se> to control@bugs.debian.org. (Thu, 13 Sep 2012 12:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#683142; Package release.debian.org. (Thu, 13 Sep 2012 14:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 13 Sep 2012 14:45:13 GMT) Full text and rfc822 format available.

Message #51 received at 683142@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mattias Ellert <mattias.ellert@fysast.uu.se>
Cc: 683142@bugs.debian.org
Subject: Re: Bug#683142: unblock: bdii/5.2.12-1
Date: Thu, 13 Sep 2012 16:40:34 +0200
clone 683142 -1
reassign -1 bdii
retitle -1 bdii: configuration files does not preserve local changes
severity -1 serious
user release.debian.org@packages.debian.org
usertags -1 =
block 683142 by -1
thanks

On 2012-09-05 13:24, Mattias Ellert wrote:
> fre 2012-08-31 klockan 14:01 +0200 skrev Niels Thykier:
>>
>> I believe the RC bug fix on 5.2.5-2 should be reasonable sane and lets
>> take that as a starting point.
>>
>> ~Niels
> 
> bdii_5.2.5-2+wheezy1 was uploaded to testing-proposed-updates.
> 
> 	Mattias
> 

Hi,

Ansgar just pointed out that the fix for #663444 is RC-buggy on its own,
which I missed in my previous review.  Since bdii/5.2.5-2+wheezy1 is
currently in NEW I cannot actually see its content, but I assuming you
applied the same fix as you did in 5.2.12-2.

bdii/5.2.12-2 ships its configuration files as /usr/share/bdii/ and have
symlinks in /etc/bdii/ pointing to the files in /usr/share/bdii.

According to Policy §10.7.2, this should be reversed (i.e. symlinks in
/usr/share/bdii and real files in /etc).  The current setup also
violates §10.7.3[1].
  Furthermore, the postinst script modifies one of the files in
/usr/share/bdii, which if not RC will at the very least triggers debsums
warnings.


I believe a correct solution would be to ship the files in
/usr/share/bdii and remove the symlink(s) in /etc/bdii.  In the
postinst, generate the config files in /etc/bdii using sed (ucf can help
you to ensure local changes are preserved).
  Also, I could be wrong, but it looks like a new password is generated
each time the script is run.  If so, the script you probably want to add
a guard or two to ensure the postinst is idempotent as required by §6.2.

Please fix this in unstable first.

Sorry,
~Niels

[1] In particular:

"""
  * local changes must be preserved during a package upgrade, and

  * configuration files must be preserved when the package is removed,
    and only deleted when the package is purged.
"""

http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files




Bug 683142 cloned as bug 687534 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 687534: 685663 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:15 GMT) Full text and rfc822 format available.

Bug reassigned from package 'release.debian.org' to 'bdii'. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'bdii: configuration files does not preserve local changes' from 'unblock: bdii/5.2.5-2+wheezy1' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:17 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:17 GMT) Full text and rfc822 format available.

Added indication that bug 687534 blocks 683142 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:45:18 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 687534: 685663 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Thu, 13 Sep 2012 14:51:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Niels Thykier <niels@thykier.net>' from 'Mattias Ellert <mattias.ellert@fysast.uu.se>' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Fri, 14 Sep 2012 06:39:03 GMT) Full text and rfc822 format available.

Marked as found in versions bdii/5.2.12-2. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Fri, 14 Sep 2012 08:36:06 GMT) Full text and rfc822 format available.

Reply sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
You have taken responsibility. (Fri, 14 Sep 2012 09:21:07 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Fri, 14 Sep 2012 09:21:07 GMT) Full text and rfc822 format available.

Message #74 received at 687534-close@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 687534-close@bugs.debian.org
Subject: Bug#687534: fixed in bdii 5.2.13-1
Date: Fri, 14 Sep 2012 09:18:10 +0000
Source: bdii
Source-Version: 5.2.13-1

We believe that the bug you reported is fixed in the latest version of
bdii, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687534@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattias Ellert <mattias.ellert@fysast.uu.se> (supplier of updated bdii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 13 Sep 2012 22:44:51 +0200
Source: bdii
Binary: bdii
Architecture: source all
Version: 5.2.13-1
Distribution: unstable
Urgency: low
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Changed-By: Mattias Ellert <mattias.ellert@fysast.uu.se>
Description: 
 bdii       - Berkeley Database Information Index (BDII)
Closes: 687534
Changes: 
 bdii (5.2.13-1) unstable; urgency=low
 .
   * New upstream release
   * Use ucf to keep track of conf file changes (Closes: #687534)
Checksums-Sha1: 
 59b1b89ddcf18ab74b4f25375faf747f793c2fbf 1858 bdii_5.2.13-1.dsc
 3c6985d2fc662fc2f9870cafe66a71b7726cf0c2 23690 bdii_5.2.13.orig.tar.gz
 c83c67952c7ae893c91d7a900388295c4fa12ba8 4253 bdii_5.2.13-1.debian.tar.gz
 faf4f94a50842f9131e6d69b5448744c44f93ce9 17142 bdii_5.2.13-1_all.deb
Checksums-Sha256: 
 cea31cb730b19d298fa6d8af19e606aeaf3bdb319382a2ffe881f3341176580a 1858 bdii_5.2.13-1.dsc
 371553b32e65fdc3d54d6ddea76973d00f238c6a1e0d8ed9a3550c744245df6e 23690 bdii_5.2.13.orig.tar.gz
 fa3832c284209f3713a3e3e8f41f59a3f0a8d2afc72fc3c5d0421fd4b231e7dd 4253 bdii_5.2.13-1.debian.tar.gz
 10736c90d79995d52412e7b4748e188c21d773e212ece69ecc242045eddd6ef8 17142 bdii_5.2.13-1_all.deb
Files: 
 2abb603bfadc3c69df4746d183c10cb0 1858 net optional bdii_5.2.13-1.dsc
 c3dbc1bb68cf104fc21554adb9fd6c44 23690 net optional bdii_5.2.13.orig.tar.gz
 5648e077f8fd65ae10d990206f6fa0ec 4253 net optional bdii_5.2.13-1.debian.tar.gz
 6741572ddc33c691780b628e7ecfc099 17142 net optional bdii_5.2.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQUvDDAAoJEOiuwv874alL9cMP/3Re+jUdYa6kT/8yDZzHslU5
qKMhieIfSMvgtl2inXtsLjR+ln+nogaZqogAkvvqzvNjWhmSHpCfq9aR4/mjqqM7
X0dZe+Yo9u/VAkGnTnRevp+XA03DF2jCo1B4vBdgdDGQdaQPyWxr6w737dsikg5q
qEYso2AN14elqQ0/QEMo7uP+MN7ei0DS2Gk3LNJrg51dtRruIvvQOAGQO9kQy7cE
IQD1RoC//L7oKgosFhAPojpiMGHL4pQRpezFEKNFUEY26vbKNASFUvBhGT5E186X
r+xiPqf1YOB2dL0VKktJQn7DGLnCBInDXLEIr5R+LBjV7ip/ef+3KAD6/L01bhYu
v7wHX+0NnIYARu1MHWMCxNMJlGj5p7h/CmVoacZZt4ngUvJlw4/gwqm/9w2wko+r
84jRrbcfJsHnHeGA3PgZl4QR4LBSWx5ZGjf/a/3xH6d1cY2QHwEeuNWE53+eZiaN
OVX6rjAFoQOlJcJsy92rvVz2PrH1URIw9xPqNKxoFsX0Q/giRXT/MiOmaefr2SKa
8HC/sa0jgHv9zkxXrXmKANi/5Ybi8Ro9zvWToZEPPUWu6NQKN9XeKwwS+R8uo8NG
vHr29mZPsvU9AUrfpvPKSIMjQtK5tCmZ9Yc/+BGhgXSmmQGEnchTTkA4v5dNqprK
fNWHOljvZY/yMtVunJiF
=tmKT
-----END PGP SIGNATURE-----




Marked as found in versions bdii/5.1.7-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 14 Sep 2012 10:00:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 15 Sep 2012 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
You have taken responsibility. (Fri, 02 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #83 received at 687534-close@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 687534-close@bugs.debian.org
Subject: Bug#687534: fixed in bdii 5.2.5-2+wheezy2
Date: Fri, 02 Nov 2012 21:00:07 +0000
Source: bdii
Source-Version: 5.2.5-2+wheezy2

We believe that the bug you reported is fixed in the latest version of
bdii, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687534@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattias Ellert <mattias.ellert@fysast.uu.se> (supplier of updated bdii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Sep 2012 12:01:50 +0200
Source: bdii
Binary: bdii
Architecture: source all
Version: 5.2.5-2+wheezy2
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Changed-By: Mattias Ellert <mattias.ellert@fysast.uu.se>
Description: 
 bdii       - Berkeley Database Information Index (BDII)
Closes: 663444 687534
Changes: 
 bdii (5.2.5-2+wheezy2) testing-proposed-updates; urgency=low
 .
   * Use ucf to keep track of conf file changes (Closes: #687534)
 .
 bdii (5.2.5-2+wheezy1) testing-proposed-updates; urgency=low
 .
   * Move bdii slapd config files out of /etc (Closes: #663444)
   * Use dpkg-maintscript-helper to remove configuration files
Checksums-Sha1: 
 a8ce101d02de69b266b0719a36e4c827f84895b2 1898 bdii_5.2.5-2+wheezy2.dsc
 de3742b5df9c04a0ae2c46ac19a3a4ab55549d2a 22792 bdii_5.2.5.orig.tar.gz
 1fc835534df2e323ce22839e5c4dc138b6eb029f 5807 bdii_5.2.5-2+wheezy2.debian.tar.gz
 fd9092b1e43e4418c6ab90169e1381e0139983ec 17494 bdii_5.2.5-2+wheezy2_all.deb
Checksums-Sha256: 
 e7ca5635b0fc99e5dae2e222594c83c26a670bcf860edbc431efca03d53715af 1898 bdii_5.2.5-2+wheezy2.dsc
 e61f3ac6ad924aa727fe6bd16d472a9fdf40a37cf72b487f59aed7733ca7a807 22792 bdii_5.2.5.orig.tar.gz
 fe6fe5a2b7efc6ae2e27a971b4814b5c61c404fa1eb801c3422bcfe8c89e50d8 5807 bdii_5.2.5-2+wheezy2.debian.tar.gz
 41df59e51ad6ca6a549adc81954f70a48e7b445d20b6101a92aecfda7514ff3b 17494 bdii_5.2.5-2+wheezy2_all.deb
Files: 
 2898bdbe41ab8e8b2fc603235148bf0b 1898 net optional bdii_5.2.5-2+wheezy2.dsc
 421f57197573b69cf82f2115be8a77ea 22792 net optional bdii_5.2.5.orig.tar.gz
 e3989c628b05911b0634659547ef1c4d 5807 net optional bdii_5.2.5-2+wheezy2.debian.tar.gz
 fc55eab5bb5e5e1fdec32690e21aee7e 17494 net optional bdii_5.2.5-2+wheezy2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIbBAEBAgAGBQJQVBDwAAoJEOiuwv874alLDHcP90YvTpQAxLTKucXvj+7VBrIO
wGXy000HHo49//UhQrNURO4ehLF9TuayByHTNLwMUrwB4SfRAieQzJq+lW6XwaE2
0rvaaA2p/TrIBG/Nd+uHbKf1omlxWN+qTpqYC40QH/WjSois5AORDXz3F2QAW791
LzWIGPsQskvkjUhc7lWgThFcyg6Rpv1a+GMAMAHuGW1VskPZVeQmilw8jGRodnAN
v8wVaO0SnX6S+zn6oCjMqcZH1cWoYqPn3T0u6QeuD5mQ6aNZAjR/C7mx/0grS7Qu
jHj4Y1UBcq14x8slCvXPrsayKaSWsU1po3kcNTN45yal5bINd1KWcnbVl0BXEi8i
RWM/aAYRb/cRz888QAvJ5AhCYLcS4ELs+ttKr0CnHGP0Hb4c+FiZtZzM8BiEn57U
J9bNsttTpBCWnnkwRYbcLcdeSL80d2bdf2S83EjoFJlBI1+cj8PQh9Fpl9zaciHE
YOc0w4F6rm7SCt0n0n3EzjNua7e7hgTpL99xFVRBljYodnp+IB/u6IQF6BW/huAg
ofIZluBMwEL0qmXqP05+xmw5iaIInBpTiVzndUYFqd6/+zIeeluCglCaKxn+NRIg
1Fph/QMSfqkiWLhnn/9faFdHYjuLFjlH2v4Xhfe3gR/dVO6AakLHEmK94iEG5e94
JYZLyorAbfRZemzHLLQ=
=CQjS
-----END PGP SIGNATURE-----




Reply sent to Mattias Ellert <mattias.ellert@fysast.uu.se>:
You have taken responsibility. (Fri, 02 Nov 2012 21:03:06 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 21:03:06 GMT) Full text and rfc822 format available.

Message #88 received at 687534-close@bugs.debian.org (full text, mbox):

From: Mattias Ellert <mattias.ellert@fysast.uu.se>
To: 687534-close@bugs.debian.org
Subject: Bug#687534: fixed in bdii 5.2.5-2+wheezy3
Date: Fri, 02 Nov 2012 21:00:07 +0000
Source: bdii
Source-Version: 5.2.5-2+wheezy3

We believe that the bug you reported is fixed in the latest version of
bdii, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687534@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mattias Ellert <mattias.ellert@fysast.uu.se> (supplier of updated bdii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Oct 2012 12:57:57 +0200
Source: bdii
Binary: bdii
Architecture: source all
Version: 5.2.5-2+wheezy3
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Changed-By: Mattias Ellert <mattias.ellert@fysast.uu.se>
Description: 
 bdii       - Berkeley Database Information Index (BDII)
Closes: 663444 687534
Changes: 
 bdii (5.2.5-2+wheezy3) testing-proposed-updates; urgency=low
 .
   * Don't use recursive chown
   * Don't install files in /var
 .
 bdii (5.2.5-2+wheezy2) testing-proposed-updates; urgency=low
 .
   * Use ucf to keep track of conf file changes (Closes: #687534)
 .
 bdii (5.2.5-2+wheezy1) testing-proposed-updates; urgency=low
 .
   * Move bdii slapd config files out of /etc (Closes: #663444)
   * Use dpkg-maintscript-helper to remove configuration files
Checksums-Sha1: 
 b5f3ebf32de010511dc10849050b43de31a58ff1 1898 bdii_5.2.5-2+wheezy3.dsc
 de3742b5df9c04a0ae2c46ac19a3a4ab55549d2a 22792 bdii_5.2.5.orig.tar.gz
 f2e9d1946041e5793b2c11e6bd810c3cf8a502ce 5889 bdii_5.2.5-2+wheezy3.debian.tar.gz
 7f3e6ab76511d9517e783f8be5019c86f39af0ae 17620 bdii_5.2.5-2+wheezy3_all.deb
Checksums-Sha256: 
 f846af69adab4f418de7fc67a90546127d49c6d46bb547211fbb7e414dba8686 1898 bdii_5.2.5-2+wheezy3.dsc
 e61f3ac6ad924aa727fe6bd16d472a9fdf40a37cf72b487f59aed7733ca7a807 22792 bdii_5.2.5.orig.tar.gz
 353d9822b775dbae1e23e3d07ef16768ad7b337e4390c6b30a211ef22459517c 5889 bdii_5.2.5-2+wheezy3.debian.tar.gz
 459318360a907fa6d49ae2d769c3ae29b32c962c784e268a567813eba6f2e09c 17620 bdii_5.2.5-2+wheezy3_all.deb
Files: 
 a7550e4f27cae78ccc5e28adbd1d6f32 1898 net optional bdii_5.2.5-2+wheezy3.dsc
 421f57197573b69cf82f2115be8a77ea 22792 net optional bdii_5.2.5.orig.tar.gz
 4812c200b8a5df2b5d253c6207051a50 5889 net optional bdii_5.2.5-2+wheezy3.debian.tar.gz
 663ceefbc5b102a46e5cea0c3c8290fc 17620 net optional bdii_5.2.5-2+wheezy3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQiC/HAAoJEOiuwv874alLU1kP/iBnQEylOvzi9T7Tg3atucft
GQXvXkwMEuvOV3vA54gojbAyFTcyRRGHQzxAmfmcIdVgW1lGrPTRfX/vx70t4Few
7tlFApDQyYRNSYw0e/8IbcAI/0muWNerfd1ybIaIcMQ6eLToHkVbhsCUtVWb4YZg
kyIuGEEwuOQfx4eMQfHOTZlHSx8iIviCv/H8RdtI1mGFCIOL4vdZLsh1qCJ7Wg/k
ACUYRUCW2hu6vITi34nlTpr+5Llv3Ucj/RLkuwFcz1pb4Hjv9Cr84qNiy+nfB0Ks
TYWLCkUdBhfwH5BwZLAVdwMbFdS+fjgc5u6U/7JQ4UsoN65vYyLephrK2b4BLIlN
dt/w7T2/atuRCekhhF3eKnzsZ44PePyuPC6XOg8l8MzTULkYiMTQRvw48MHH0wpX
fKfd7kMU4VWcvne/QG00PkcKgXDF3wtUpgwrSwvuKm65qQUSfAkhwGDXZ52LDbHB
OXKXIL6OrQ9jDSrcFp/VccUM1W0ZGQgMBbTT2XncvbqQM2wI+TcW4IetlqtQZcwq
M7HGVQgGQKVVoB8JsRHA4Zx7sMz1a6G2Drm84lvSwQK8qFtK63kKlniD2811lWip
Rf3mHsG+XMibTQkJw9kqBaDHm2TuuDSkYSq4BWyHbvmZ/DY7HE7xiMYUt6q4Fh2T
/vrvKtNMUJr2h5HcxKkg
=gwoR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:39:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:53:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.